﻿//////////////////////////////////////////////
// HdrFormat.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// Standards
#include <string_view>

/// Class ------------------------------------

namespace nkImages
{
	enum class HDR_FORMAT
	{
		RGB = 0,
		XYZ
	} ;

	class HdrFormatUtils final
	{
		public :

			// Conversions
			static HDR_FORMAT convertStringToFormat (const std::string_view& str) ;
			static std::string_view convertFormatToString (HDR_FORMAT format) ;
	} ;
}